Package org.opensaml.saml.metadata.resolver.index.impl

# Class MetadataIndexManager.IdentityExtractionFunction

java.lang.Object
org.opensaml.saml.metadata.resolver.index.impl.MetadataIndexManager.IdentityExtractionFunction

All Implemented Interfaces:
  `Function<EntityDescriptor,EntityDescriptor>`

Enclosing class:
  MetadataIndexManager<T>

public static class MetadataIndexManager.IdentityExtractionFunction extends Object implements Function<EntityDescriptor,EntityDescriptor>
Extraction function which simply returns the input `EntityDescriptor`.

## Constructor Summary

Constructors
Constructor
Description
`IdentityExtractionFunction()`

## Method Summary

Modifier and Type
Method
Description
`EntityDescriptor`
`apply(EntityDescriptor input)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.util.function.Function

`andThen, compose`

## Constructor Details

### IdentityExtractionFunction

public IdentityExtractionFunction()

## Method Details

### apply

public EntityDescriptor apply(EntityDescriptor input)

Specified by:
  `apply` in interface `Function<EntityDescriptor,EntityDescriptor>`